petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMGetLabelName

Return the name of nth label

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetLabelName(DM dm, PetscInt n, const char **name)

Not Collective

### Input Parameters

| dm | - The DM object
| n | - the label number

### Output Parameter

name -the label name

### Keywords

mesh

### See Also

DMGetLabelValue(), DMSetLabelValue(), DMGetStratumIS()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html